File: composer.json

Recommend this page to a friend!
  Classes of Paulo Henrique  >  Ajudaime API  >  composer.json  >  Download  
File: composer.json
Role: Auxiliary data
Content type: text/plain
Description: Auxiliary data
Class: Ajudaime API
Find people close to the user who needs help
Author: By
Last change:
Date: 3 months ago
Size: 2,360 bytes
 

Contents

Class file image Download
{
    "type": "project",
    "license": "proprietary",
    "require": {
        "php": "^7.2.5",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "ext-json": "*",
        "ext-openssl": "*",
        "ext-pdo": "*",
        "bref/bref": "^0.5.15",
        "doctrine/persistence": "^1.3",
        "knpuniversity/oauth2-client-bundle": "^1.31",
        "laminas/laminas-code": "^3.4",
        "laminas/laminas-eventmanager": "^3.2",
        "league/oauth2-google": "^3.0",
        "league/oauth2-server": "^8.0",
        "nelmio/cors-bundle": "^2.0",
        "ramsey/uuid-doctrine": "^1.5",
        "sensio/framework-extra-bundle": "^5.5",
        "symfony/console": "5.0.*",
        "symfony/dotenv": "5.0.*",
        "symfony/flex": "^1.3.1",
        "symfony/framework-bundle": "5.0.*",
        "symfony/http-client": "5.0.*",
        "symfony/orm-pack": "^1.0",
        "symfony/security-bundle": "5.0.*",
        "symfony/validator": "5.0.*",
        "symfony/yaml": "5.0.*",
        "elasticsearch/elasticsearch": "^7.0"
    },
    "require-dev": {
        "dama/doctrine-test-bundle": "^6.3",
        "doctrine/doctrine-fixtures-bundle": "^3.3.0",
        "symfony/browser-kit": "5.0.*",
        "symfony/maker-bundle": "^1.14",
        "symfony/phpunit-bridge": "^5.0"
    },
    "config": {
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "paragonie/random_compat": "2.*",
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*",
        "symfony/polyfill-php71": "*",
        "symfony/polyfill-php70": "*",
        "symfony/polyfill-php56": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "5.0.*"
        }
    }
}

For more information send a message to info at phpclasses dot org.